/*
	CSS Display property

	display :block
	- changes the element into a block element
	-takes up to the full width of the browser
	Example :p ,h1-h6,div,ul/ol,&li

	display :inline;
	-changes the element into a inline element
	-takes only the space needed.
	exp. span,button,label,input
	
	display :inline-block
	-it is a combination of the two elements.
	-act as inline element,but still have the property
	exp. img

	display: none;
	hides the element

*/
#div-1{
	background-color: green;
	display: block;

	width: 250px;
	height: 250px;
}
#span-1{
	background-color: purple;
	display: none;
	width: 200px;
	height: 200px;
}
#span-2{
	background-color: red;
	display: block;
}
#div-2{
	background-color: hotpink;
	display: none;
}
#img{
	width: 250px;
	height: 250px;
}
/*
	CSS background property (color values)
	#heccode value
		-hexdecimal color is specified width:
			-#RRGGBB (Red,Green,Blue)
			-Between 00 and FF (0-9,A-F)

	rgb or rgba(red,green,blue,alpha) value
		-value	 inside the parenthesis is between 0 and 255
		(percentage value 0-100%)	
		-alpha sets the opacity of a color set (0.0 to 1.0)
	

	color name values
	-composed of 140 colors,commonly used for changing color 
	in an element	
*/
#p-1{
	background-color: #87CEFA;
	/*	hex code value*/
}
#p-2{
	background-color: rgba(255, 105, 180, 0.50);
	width: 80%;
}
#p-3{
	background-color: yellow;
	width: 60%
}
.sample{
	display: inline-block;
	width: 30%;
	border: 1px solid black;
	text-align: center;
}
	/*
		CSS FLOAT property
		-none: element will not float.
		-right: floats to the right of its container
		-left: float to the left of its container
		-inherit: inherit float values of parent
	*/
		
.img-float{
	width: 250px;
	height: 250px;
	float: inherit;
}
	/*
		
		CSS UNITS
		
		pixel(px)
		- is relative to the viewscreen (based on the screen resolution)
		
		percentage (%)
		-is relative to parent element
		-The height and width willbased on the parent container.
		
		viewport units (vh -height; vw - width)
		-relative to the viewport/browser window size

		em
			- relative to the parent element.
			-equal px size = em & parent set size

		rem
			- relative to the root element (HTML tag)
			- equal px size = rem * root size	
	*/	

.box{
	background-color: red;
	border: 1px solid black;
	margin: 5px;
	padding: 5px;
}
.fifty-percent{
	width: 50%;
}
.one-hundred-pixel{
	width: 100px;

}
.parent{
	width: 250px;
	border: 2px solid navy;
	font-size: 30px;
}
.fifty-vw{
	width: 50vw;
}
.twenty-five-vh{
	height: 25vh;
}

.one-rem{
	/*	1rem=16px (font size of the root element)*/
	font-size: 1rem;
}
.one-em{
	font-size: 1em;
}
.two-rem{
	font-size: 2rem;
}
.two-em{
	font-size: 2em;
}

.two-hundred-percent{
	font-size: 200%;
}

	/*
	Backgroung Property
	-background-color - can change color of the background
	-background-image: url(URI)-
	-background-repeat - sets how the background image will be repeated.
	-background-size - specify the size of the background image (auto | cover | unit values)
	-background-position - changes the position of the background image relative to the HTML element(X and Y axis)
		values: top center bottom (y-axis) & left center right (x-axis)| unit values

	-background-attachment:sets wherther a background images scrolls with the rest of the page or is fixed.
	*/
.background{
	min-height: 20rem;
/*	background-color: gray;*/
	background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);
	background-repeat: no-repeat ;
	background-size: 100%;
	background-position: center top;
	background-attachment: fixed;
}
.bg-title{
	color: white;
	text-align: center;
	font-size: 5em;
	margin: 0;
	line-height: 35rem;
}
.container-bg{
	background-color: rgba(0, 0, 0, 0.5);
	min-height: 100vh;
}

	/*	
	CSS POSITION property
	position:static

	- THis is the default value for elements. follow the normal document flow.
	-left,right,top,bottom, Z-index will not apply with static postion.

	position: relative 

	position: absolute
	- this are position relative to their closest position

	position: fixed
	-similar with the absolute postion, but it always position relative to the initial containing block (html tag)
	
	position: sticky
	-acts relatively positioned element until a scroll point happened and its acts like a fixed*/


.parent-element {
    background-color: skyblue;
    padding: 50 px 10px;
    position: relative;
    height: 100vh;
}


.child-one {
    background-color: gray;
    padding: 10px;
}

.child-two {
    background-color: yellow;
    padding: 10px;
    position: sticky;
  	top: 0;
}

.child-three {
    background-color: gray;
    padding: 10px;
}
/*
		Z-index property
		0it also belongs to position : top, bottom, right and left/
		-it manipulates the stacked order.
		-element with greater stack order is always in front of an element with a lower stack order.
	

*/
.container{
	position: relative;
}
.black-box{
	position: relative;
	z-index: 21 ;
	border: 2px solid black;
	height: 100px;
	margin: 30px;
}
.gray-box{
	position: absolute;
	z-index: 3;
	background-color: lightgray;
	height: 60px;
	width: 70%;
	left: 50px;
	top: 50px;
}
.green-box{
	position: absolute;
	z-index: 2;
	background-color: lightgreen;
	width: 35%;
	left: 270px;
	top: -15px;
	height: 101px;
}